--- jgraph.h.orig	2012-10-01 00:08:42.000000000 -0400
+++ jgraph.h	2012-10-01 00:04:09.000000000 -0400
@@ -214,25 +214,27 @@ typedef struct graphs {
   int page;
 } *Graphs;
 
-extern float ctop();
-extern float disttop();
-extern float intop();
-extern float ptoc();
-extern float ptodist();
-
-extern char *getlabel();
-extern char *getmultiline();
-
-/* Stuff defined in jgraph.c */
-
-extern Curve new_line();
-extern Curve new_curve();
-extern Curve get_curve();
-extern Graph new_graph();
-extern Graph get_graph();
-extern String new_string();
-extern String get_string();
-extern Label new_label();
+/* Defined in draw.c */
+extern float ctop(float, Axis);
+extern float disttop(float, Axis);
+extern float intop(float);
+extern void draw_graphs(Graphs, int, int);
+extern void draw_axis(Axis, Axis);
+
+/* Defined in edit.c */
+extern void copy_label(Label, Label);
+extern void edit_graphs(Graphs);
+
+/* Defined in jgraph.c */
+extern void new_graphs(Graphs);
+extern Curve new_line(Curve, int);
+extern Curve new_curve(Curve, int);
+extern Curve get_curve(Curve, int);
+extern Graph new_graph(Graph, int);
+extern Graph get_graph(Graph, int);
+extern String new_string(String, int);
+extern String get_string(String, int);
+extern Label new_label(void);
 extern char *MARKTYPESTRS[];
 extern char MARKTYPES[];
 extern int NMARKTYPES;
@@ -240,3 +242,42 @@ extern int NORMALMARKTYPES;
 extern char *PATTERNS[];
 extern char PTYPES[];
 extern int NPATTERNS;
+
+/* Defined in printline.c */
+extern void gsave(void);
+extern void grestore(void);
+extern void setfont(char *, float);
+extern void setfill(float, float, char, float *, char, float);
+extern void setgray(char, float*);
+extern void print_ebar(float, float, float, float, char);
+extern void start_line(float, float, Curve);
+extern void cont_line(float, float);
+extern void end_line(void);
+extern void bezier_control(float, float);
+extern void bezier_end(float, float);
+extern void start_poly(float, float);
+extern void cont_poly(float, float);
+extern void end_poly(float, float, char, float *, char, float);
+extern void printellipse(float, float, float, float, char, float *, char, float);
+extern void set_comment(int);
+extern void comment(const char *);
+extern void print_label(Label);
+extern void setlinewidth(float);
+extern void setlinestyle(char, Flist);
+extern void printline(float, float, float, float, char);
+
+/* Defined in process.c */
+extern void process_graphs(Graphs);
+
+/* Defined in show.c */
+extern void show_graphs(Graphs);
+
+/* Defined in token.c */
+extern void set_input_file(const char *);
+extern void error_header(void);
+extern int getstring(char *);
+extern int getint(int *);
+extern int getfloat(float *);
+extern char *getmultiline(void);
+extern char *getlabel(void);
+extern void rejecttoken(void);
